RCCE(3)

NAME
RCCE_send - RCCE send message

SYNOPSIS
#include <rcce.h>

int RCCE_send(char *privbuf, size_tsize,intID);

DESCRIPTION
RCCE_send() sends an arbitrarily sized buffer (does not have to be a multiple of 32 bytes) of data from the private memory of the sending UE to the private memory of the receiving UE. Its parameters must be matched exactly by those on the receiving side. The call is blocking. Blocking means it will not complete until a matching receive has been posted.

privbuf
    Starting address (private memory) of data to be sent.

size
    Size of message in bytes.

ID  Rank of target UE.

RETURN VALUE
Upon successful completion RCCE_send() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.